summaryrefslogtreecommitdiff
path: root/utils
diff options
context:
space:
mode:
authorIvan Gabaldon <igabaldon@inetol.net>2025-07-20 12:28:11 +0200
committerMarkus Heiser <markus.heiser@darmarIT.de>2025-08-18 16:38:32 +0200
commit7e1c7096ce1cdb9e32fcc8e2ca33e35d482fc8a2 (patch)
treeea25d4042516f771dc42e0260c7971f153d02994 /utils
parent0b913053a76e83a43846e19097963f98c8519a1d (diff)
[enh] theme/simple: package.json revision
Set minor versioning for most of the packages that iterate fast or we know won't cause problems, and fixed versioning for the rest. Packages going into bundles should be placed in "dependencies". The inspection of prod bundles is necessary. Although it does not make a lot of sense right now, it will be useful in later PR and will give us a reference to start with.
Diffstat (limited to 'utils')
-rwxr-xr-xutils/lib_sxng_themes.sh9
-rw-r--r--utils/lib_sxng_vite.sh15
2 files changed, 24 insertions, 0 deletions
diff --git a/utils/lib_sxng_themes.sh b/utils/lib_sxng_themes.sh
index c707db88c..df1da87f5 100755
--- a/utils/lib_sxng_themes.sh
+++ b/utils/lib_sxng_themes.sh
@@ -29,6 +29,15 @@ themes.simple() {
dump_return $?
}
+themes.simple.analyze() {
+ (
+ set -e
+ build_msg SIMPLE "theme: run analyze (simple)"
+ vite.simple.analyze
+ )
+ dump_return $?
+}
+
themes.fix() {
(
set -e
diff --git a/utils/lib_sxng_vite.sh b/utils/lib_sxng_vite.sh
index 125b01385..148cd2873 100644
--- a/utils/lib_sxng_vite.sh
+++ b/utils/lib_sxng_vite.sh
@@ -44,6 +44,21 @@ vite.simple.build() {
)
}
+vite.simple.analyze() {
+ (
+ set -e
+ templates.simple.pygments
+
+ node.env
+ build_msg SIMPLE "run analyze of theme from: ${VITE_SIMPLE_THEME}"
+
+ pushd "${VITE_SIMPLE_THEME}"
+ npm install
+ VITE_BUNDLE_ANALYZE=true npm run build
+ popd &>/dev/null
+ )
+}
+
vite.simple.fix() {
(
set -e